#!/bin/bash
# {{ ansible_managed }}
#
# Remove old data backups
#

BACKUP_DIR={{ search_index_data_backup_directory }}

date +"*** %Y-%m-%d %H:%M:%S Cleaning up old backups older than {{ search_index_data_backup_cleanup_mtime }} days"
find "$BACKUP_DIR" -maxdepth 1 -type f -mtime {{ search_index_data_backup_cleanup_mtime }} -print0 | xargs -0r rm -vf
date +"*** %Y-%m-%d %H:%M:%S Cleaning up current elasticsearch temp data"
find "${BACKUP_DIR}/elasticsearch" -maxdepth 1 -type d -regex ".*/backup_[0-9]+" -print0 | xargs -0r rm -rvf
